## qdiskinfo 0.2+git20240810+ds

=== debian/changelog ===
qdiskinfo (0.2+git20240810+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1078465)

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Aug 2024 21:12:16 -0400
