=== debian/changelog ===
qdiskinfo (0.2+git20240812+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Aug 2024 10:24:10 -0400
