## qdiskinfo 0.3%2Bgit20250128%2Bds

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
+ dh-exec,
  libgl-dev,
  libxkbcommon-dev,
  qt6-base-dev,
+ qt6-tools-dev,
 Standards-Version: 4.7.0
 Homepage: https://github.com/edisionnano/QDiskInfo
 Vcs-Git: https://salsa.debian.org/debian/qdiskinfo.git
