## qdiskinfo 0.3+git20240909+ds

=== debian/changelog ===
qdiskinfo (0.3+git20240909+ds-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/qdiskinfo.install: Also install the 48x48 icon.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Sep 2024 16:10:35 -0400

qdiskinfo (0.3+git20240822+ds-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/patches/: Dropped, useless.

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Aug 2024 18:48:49 -0400

qdiskinfo (0.3+git20240820+ds-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/patches/0001: Add dynamic qm file build support.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Aug 2024 11:28:52 -0400

qdiskinfo (0.2+git20240816+ds-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Sun, 18 Aug 2024 14:52:57 -0400
