=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- dh-exec,
  libgl-dev,
  libxkbcommon-dev,
  qt6-base-dev,
