## qdiskinfo 0.3+git20241225+ds

=== debian/changelog ===
qdiskinfo (0.3+git20241225+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 19:01:05 -0500

qdiskinfo (0.3+git20241225+ds-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/qdiskinfo.install: Also install the 256x256 icon.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jan 2025 13:54:26 -0500

qdiskinfo (0.3+git20240909+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Sep 2024 20:03:35 -0400

qdiskinfo (0.3+git20240822+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 26 Aug 2024 21:49:43 -0400
