=== debian/changelog ===
qdiskinfo (0.3+git20250128+ds-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Feb 2025 09:54:10 -0500
