=== debian/changelog ===
qdiskinfo (0.3+git20250416+ds-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Apr 2025 11:02:36 -0400

qdiskinfo (0.3+git20250329+ds-1) unstable; urgency=medium

  * debian/control: Add new build-dep requirement: qt6-tools-dev-tools.
  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Mon, 31 Mar 2025 13:44:51 -0400
