=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
+ dh-exec,
  libgl-dev,
  libxkbcommon-dev,
  qt6-base-dev,
  qt6-tools-dev,
-Standards-Version: 4.7.0
+ qt6-tools-dev-tools,
+Standards-Version: 4.7.2
 Homepage: https://github.com/edisionnano/QDiskInfo
 Vcs-Git: https://salsa.debian.org/debian/qdiskinfo.git
-Vcs-Browser: https://salsa.debian.org/debian/qdiskinfo.git
+Vcs-Browser: https://salsa.debian.org/debian/qdiskinfo
 
 Package: qdiskinfo
 Architecture: any
