## qdiskinfo 0.3+git20250610+ds

=== debian/changelog ===
qdiskinfo (0.3+git20250610+ds-2) unstable; urgency=medium

  * Rebuild against GCC 15. (Closes: #1097692)

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Sep 2025 20:55:48 -0400

qdiskinfo (0.3+git20250610+ds-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Sun, 10 Aug 2025 18:49:49 -0400
