=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.3+git%cd+ds" \
 https://github.com/edisionnano/QDiskInfo \
 HEAD
