=== debian/changelog ===
qdiskinfo (0.4-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Jun 2025 17:58:18 -0700
