=== debian/changelog ===
qdiskinfo (0.4+git20250610+ds-1) unstable; urgency=medium

  * Dummy new upstream snapshot (no source code changes).
    (Closes: #1109750)
  * debian/control: Move package description to source package section.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Oct 2025 16:00:43 -0400
