=== debian/watch ===
Version: 5

Source: https://github.com/edisionnano/QDiskInfo
Matching-Pattern: HEAD
Mode: git
Pgpmode: none
Git-Pretty: 0.4+git%cd+ds
