## qdiskinfo 0.4+git20251119+ds

=== debian/changelog ===
qdiskinfo (0.4+git20251119+ds-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Nov 2025 14:13:38 -0500
